Overview | Modules | Class Hierarchy | Classes | Members

# tlp::StringCollection Struct Reference

`#include <StringCollection.h>`

List of all members.

## Public Member Functions

- StringCollection ()
- StringCollection (const std::vector< std::string > &vectorParam)
- StringCollection (const std::string param)
- StringCollection (const std::vector< std::string > &vectorParam, int currentParam)
- StringCollection (const std::vector< std::string > &vectorParam, std::string currentString)
- std::string getCurrentString ()
- bool setCurrent (unsigned int param)
- bool setCurrent (std::string param)
- int getCurrent ()

## Constructor & Destructor Documentation

tlp::StringCollection::StringCollection | ( |  | ) |

tlp::StringCollection::StringCollection | ( | const std::vector< std::string > & | vectorParam | ) | `[explicit]`

tlp::StringCollection::StringCollection | ( | const std::string | param | ) |

tlp::StringCollection::StringCollection | ( | const std::vector< std::string > & | vectorParam,
|  | int | currentParam
| ) |

tlp::StringCollection::StringCollection | ( | const std::vector< std::string > & | vectorParam,
|  | std::string | currentString
| ) |

## Member Function Documentation

int tlp::StringCollection::getCurrent | ( |  | ) |

std::string tlp::StringCollection::getCurrentString | ( |  | ) |

bool tlp::StringCollection::setCurrent | ( | std::string | param | ) |

bool tlp::StringCollection::setCurrent | ( | unsigned int | param | ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010